import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../repository/profile_repository.dart';

class SaveProfileUseCase implements UseCase<DataState<String>, ProfileParams> {
  final ProfileRepository repository;
  SaveProfileUseCase(this.repository);

  @override
  Future<DataState<String>> call(ProfileParams params) =>
      repository.updateProfile(params);
}
